<?php

namespace MyMenu\Libraries;

class KeyValueStorage {
    private static $storage = [];
    
    
    private static function isAssoc($arr){
        if (array() === $arr) return false;
        return array_keys($arr) !== range(0, count($arr) - 1);
    }

    
    public static function setAll($assocArray){
        if(self::isAssoc($assocArray)){
            self::$storage = $assocArray;
        }
    }
    
    public static function get($keyName){
        if(isset(self::$storage[$keyName])){
            return self::$storage[$keyName];
        } else {
            return null;
        }
    }
    
    public static function set($keyName, $value){
        self::$storage[$keyName] = $value;
    }
    
    public static function remove($keyName){
        if(isset(self::storage[$keyName])){
            unset(self::$storage[$keyName]);
        }
    }
    
    public static function getAll(){
        return self::$storage;
    }
}